<?php /*SVN-1324(5.0.09)*/
$SID = $cst->get("SID");
$mode = $cst->get("mode");
$user = $cst->get("user");
$lo = $cst->get("locale_obj");
$id = $cst->get("id");
$mutp = $cst->get("mutp");
$mdir = $cst->get("mdir");
$calendar = $cst->get("calendar");
$insl = $cst->get("insl");
?>
<script>
$(function() {
	$('#<?= $insl["PGTYPE"] ?>').enhanceWithin();
	$('#<?= $insl["PGSDIV"] ?>').append(
		'<form id="calendar_from">'+
			'<input data-role="none" type="text" id="SDCNAME" name="SDCNAME" size="15" value="" placeholder="<?= $lo->text("VIEW_WEBCLDCFG_SDCNAME") ?>" onChange="return_qqr_sr(\'core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid=VIEW_WEBCLDCFG_QUERY&ccv=&field=SDCNAME&value=\'+EncodeURLutf8($(this).val()), \'SDCNAME,MENUNAME\', \'VIEW_WEBCLDCFG.SDCNAME,VIEW_WEBCLDCFG.MENUNAME\', \'\');calendar_search_load();">'+
			'<input data-role="none" type="button" value="..." onClick="load_popup_box(\'core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid=VIEW_WEBCLDCFG_QUERY&lang=1&ccv=&col=SDCNAME,MENUNAME&ret=VIEW_WEBCLDCFG.SDCNAME,VIEW_WEBCLDCFG.MENUNAME\', \'作業項速查\', 0, 0); ">'+
			'<input data-role="none" type="text" id="MENUNAME" name="MENUNAME" size="20" value="" placeholder="<?= $lo->text("VIEW_WEBCLDCFG_MENUNAME") ?>" readonly>'+
			'<div id="calendar_search"></div>'+
		'</form>');
	$('#<?= $insl["PGLDIV"] ?>').fullCalendar({
		header: {
			left: 'today prev',
			center: 'title',
			right: 'next month,agendaWeek,agendaDay'
		},
		editable: false,
		eventLimit: true,
		events: <?= $calendar ?>,
		eventClick: function(event) {
			if ((event.eri) && (event.sdc)) {
				//alert(event.eri);
				//alert(event.sdc);
				get_other_detail(event.sdc, 'view', event.eri);
				return;
			}
		},
		buttonText:{
				today: '<?= $lo->text("CALENDAR_TODAY") // 今天 ?>',
				month: '<?= $lo->text("CALENDAR_MONTH") // 月 ?>',
				agendaWeek: '<?= $lo->text("CALENDAR_WEEK") // 週 ?>',
				agendaDay: '<?= $lo->text("CALENDAR_DAY") // 日 ?>'
		},
		defaultDate: '<?= date("Y-m-d") ?>',
		titleFormat:'<?= $lo->text("CALENDAR_TITLE") // YYYY年MM月DD日 ?>',
		timeFormat: 'HH:mm',
		defaultView:'month', // month,agendaWeek,agendaDay
		//monthNames:['一月','二月', '三月', '四月', '五月', '六月', '七月','八月', '九月', '十月', '十一月', '十二月'],
		//monthNamesShort: ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
		dayNames:['<?= $lo->text("CALENDAR_SUNDAY") // 星期日 ?>', 
				  '<?= $lo->text("CALENDAR_MONDAY") // 星期一 ?>', 
				  '<?= $lo->text("CALENDAR_TUESDAY") // 星期二 ?>', 
				  '<?= $lo->text("CALENDAR_WEDNESDAY") // 星期三 ?>',
				  '<?= $lo->text("CALENDAR_THURSDAY") // 星期四 ?>', 
				  '<?= $lo->text("CALENDAR_FRIDAY") // 星期五 ?>', 
				  '<?= $lo->text("CALENDAR_SATURDAY") // 星期六 ?>'],
		dayNamesShort:['<?= $lo->text("CALENDAR_SUN") // 週日 ?>', 
					   '<?= $lo->text("CALENDAR_MON") // 週一 ?>', 
					   '<?= $lo->text("CALENDAR_TUE") // 週二 ?>', 
					   '<?= $lo->text("CALENDAR_WED") // 週三 ?>',
					   '<?= $lo->text("CALENDAR_THU") // 週四 ?>', 
					   '<?= $lo->text("CALENDAR_FRI") // 週五 ?>', 
					   '<?= $lo->text("CALENDAR_SAT") // 週六 ?>'],	
		allDayText:'<?= $lo->text("CALENDAR_ALLDAY") // 整日 ?>'
	});
	if ($('#content').height() <= 550){
		$('#page_body').height(585);
	}else{
		$('#page_body').height($('#content').height() + 35);
	}
});

function calendar_search_load() {
	var url = '<?= $mdir."/".$mode ?>/detail.php?sid=<?= $SID ?>&mode=<?= $mode ?>&mutp=<?= $mutp ?>&id=<?= $id ?>&act=qryui';
	var cld = $('#calendar_from').serialize().replace(/'/g, "''");
	var hstr = '',fid = '',qryid = '', qryfd = '', qrytp ='';
	$.post(url, cld, function(msg) {
		//console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == 'false') {
			$('#calendar_search').empty();
			calendar_body_load();
			return false;
		} else {
			var qryary = ret_msg[0].data;
			hstr += "<table>";
			for (var i = 0; i < qryary.length; i++) {
				fid = qryary[i].QTABLE+'_'+qryary[i].QFIELD;
				qryid = (qryary[i].QRYID) ? qryary[i].QRYID : '';
				qryfd = (qryary[i].QFNAME) ? qryary[i].QFNAME : '';
				qrytp = (qryary[i].QEDITTYPE) ? qryary[i].QEDITTYPE : 'EDNORMAL';
				hstr += "<tr style=\"white-space: nowrap; \">"+
					"<td>"+qryary[i].FNAME+"</td>"+
					"<td>"+
						"<input type=\"hidden\" id=\"Q_"+fid+"\" name=\"Q_"+fid+"\" value=\""+qryid+"\">"+
						"<input type=\"hidden\" id=\"R_"+fid+"\" name=\"R_"+fid+"\" value=\""+qryfd+"\">"+
						"<input type=\"hidden\" id=\"T_"+fid+"\" name=\"T_"+fid+"\" value=\""+qrytp+"\">"+
						"<select id=\"F_"+fid+"\" name=\"F_"+fid+"\" onchange=\"change_search_type('"+fid+"'); calendar_body_load(); \">"+
							"<option value=\"0\"><?= $lo->text("INTERVAL") // 區間 ?></option>";
				if (qrytp == 'EDNORMAL') {
					hstr += "<option value=\"1\"><?= $lo->text("KEYWORDS") // 關鍵字 ?></option>"+
							"<option value=\"2\"><?= $lo->text("BEGIN_MATCH") // 開頭符合 ?></option>"+
							"<option value=\"3\"><?= $lo->text("END_MATCH") // 結尾符合 ?></option>";
				}
				hstr += "<option value=\"4\"><?= $lo->text("KVALW_ET") // 等於 ?></option>"+
							"<option value=\"5\"><?= $lo->text("KVALW_NET") // 不等於 ?></option>"+
							"<option value=\"6\"><?= $lo->text("KVALW_LT") // 小於 ?></option>"+
							"<option value=\"7\"><?= $lo->text("KVALW_LTOET") // 小於等於 ?></option>"+
							"<option value=\"8\"><?= $lo->text("KVALW_MT") // 大於 ?></option>"+
							"<option value=\"9\"><?= $lo->text("KVALW_MTOET") // 大於等於 ?></option>"+
						"</select>"+
					"</td>"+
					"<td>"+
						"<div id=\"V_"+fid+"\">"+
							"<input type=\"text\" size=\""+((qryid != '' && qrytp == 'EDNORMAL') ? '12' : '16')+"\" id=\"B_"+fid+"\" name=\"B_"+fid+"\" value=\"\" "+
							((qrytp == 'EDDATEEDIT') ? "onClick=\"$(this).datepicker({ dateFormat: 'yy/mm/dd' });$(this).datepicker('show'); \" " : "")+
							"onchange=\"calendar_body_load(); \">";
				if (qryid != '' && qrytp == 'EDNORMAL') {
					hstr += "<input type=\"button\" value=\"...\" onClick=\"load_popup_box('core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid="+qryid+"&col=B_"+fid+"&ret="+qryfd+"', '', 0, 0); \">";
				}
				hstr += "~<input type=\"text\" size=\""+((qryid != '' && qrytp == 'EDNORMAL') ? '12' : '16')+"\" id=\"E_"+fid+"\" name=\"E_"+fid+"\" value=\"\" "+
							((qrytp == "EDDATEEDIT") ? "onClick=\"$(this).datepicker({ dateFormat: 'yy/mm/dd' });$(this).datepicker('show'); \" " : "")+
							"onchange=\"calendar_body_load(); \">";
				if (qryid != '' && qrytp == 'EDNORMAL') {
					hstr += "<input type=\"button\" value=\"...\" onClick=\"load_popup_box('core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid="+qryid+"&col=E_"+fid+"&ret="+qryfd+"', '', 0, 0); \">";
				}
				hstr += "</div></td></tr>";
			}
			hstr += "</table>";
			$('#calendar_search').empty();
			$('#calendar_search').append(hstr);
			calendar_body_load();
		}
	});
}

function change_search_type(field) {
	var dafval = $("#B_"+field).val(), fstr = "";
	if ($("#F_"+field).val() == "0") {
		fstr += "<input type=\"text\" size=\""+(($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") ? "12" : "16")+"\" id=\"B_"+field+"\" name=\"B_"+field+"\" value=\""+dafval+"\" "+
				(($("#T_"+field).val() == "EDDATEEDIT") ? "onClick=\"$(this).datepicker({ dateFormat: 'yy/mm/dd' });$(this).datepicker('show'); \" " : "")+
				"onchange=\"calendar_body_load(); \">";
		if ($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") {
			fstr += "<input type=\"button\" value=\"...\" onClick=\"load_popup_box('core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid="+$("#Q_"+field).val()+"&col=B_"+field+"&ret="+$("#R_"+field).val()+"', '', 0, 0); \">";
		}
		fstr += "~<input type=\"text\" size=\""+(($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") ? "12" : "16")+"\" id=\"E_"+field+"\" name=\"E_"+field+"\" value=\""+dafval+"\" "+
				(($("#T_"+field).val() == "EDDATEEDIT") ? "onClick=\"$(this).datepicker({ dateFormat: 'yy/mm/dd' });$(this).datepicker('show'); \" " : "")+
				"onchange=\"calendar_body_load(); \">";
		if ($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") {
			fstr += "<input type=\"button\" value=\"...\" onClick=\"load_popup_box('core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid="+$("#Q_"+field).val()+"&col=E_"+field+"&ret="+$("#R_"+field).val()+"', '', 0, 0); \">";
		}
		$("#V_"+field).empty();
		$("#V_"+field).append(fstr);
	} else {
		fstr += "<input type=\"text\" size=\""+(($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") ? "12" : "16")+"\" id=\"B_"+field+"\" name=\"B_"+field+"\" value=\""+dafval+"\" "+
				(($("#T_"+field).val() == "EDDATEEDIT") ? "onClick=\"$(this).datepicker({ dateFormat: 'yy/mm/dd' });$(this).datepicker('show'); \" " : "")+
				"onchange=\"calendar_body_load(); \">";
		if ($("#Q_"+field).val() != "" && $("#T_"+field).val() == "EDNORMAL") {
			fstr += "<input type=\"button\" value=\"...\" onClick=\"load_popup_box('core/cw5e_mqqr_cv.php?sid=<?= $SID ?>&mode=qqr&aid="+$("#Q_"+field).val()+"&col=B_"+field+"&ret="+$("#R_"+field).val()+"', '', 0, 0); \">";
		}
		$("#V_"+field).empty();
		$("#V_"+field).append(fstr);
	}
}

function calendar_body_load() {
	var url = '<?= $mdir."/".$mode ?>/detail.php?sid=<?= $SID ?>&mode=<?= $mode ?>&mutp=<?= $mutp ?>&id=<?= $id ?>&act=cldvi';
	var cld = $('#calendar_from').serialize().replace(/'/g, "''");
	$.post(url, cld, function(msg) {
		//console.log(msg);
		var ret_msg = JSON.parse(msg);
		if (ret_msg[0].result == 'false') {
			alert(ret_msg[0].message);
			return false;
		} else {
			$('#<?= $insl["PGLDIV"] ?>').fullCalendar('removeEvents');
			if (ret_msg[0].data != null) {
				var cldary = ret_msg[0].data;
				$('#<?= $insl["PGLDIV"] ?>').fullCalendar('addEventSource', cldary);
			}
			$('#<?= $insl["PGLDIV"] ?>').fullCalendar('refetchEvents');
		}
	});
}

function get_other_detail(mode, act, ERI) {
	var url = '<?= $mdir ?>/'+mode+'/detail.php?sid=<?= $SID ?>&mode='+mode+'&mutp=<?= $mutp ?>&act='+act+'&ERI='+ERI+'&fow=C';
	load_popup_box(url, '', 0, 0);
}
</script>